Bug 13315 - [graphical install] language selection doesn't change fonts properly
[graphical install] language selection doesn't change fonts properly
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Florence Beta-3
Depends On:
  Show dependency treegraph
Reported: 2000-07-01 11:42 EDT by Christian Rose
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-20 17:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2000-07-01 11:42:48 EDT
I ran the graphical install and selected Swedish as the language in the
language selection screen. This will result in a latin1 font used during
the rest of the install that is the same as before (but displaying Swedish

I went back and selected Czech as the language. This resulted in a font
change, both in the online help and the widgets, to entirely different
fonts so that Czech characters could be displayed. This is all fine.

But then returning back and selecting Swedish again won't change the fonts
back. This is a problem since the Czech font used in the online help won't
display Swedish characters properly.
Comment 1 Christian Rose 2000-07-13 14:11:06 EDT
Bug is also present in beta 3.
Comment 2 Christian Rose 2000-07-22 19:51:05 EDT
This bug was fixed in beta4, probably because of new eastern-european fonts used
in the installer.
Comment 3 Christian Rose 2000-07-22 19:57:51 EDT
Sorry, it wasn't entirely resolved.

When jumping between languages, the online help font changes correctly, but the
font used in the GTK+ widgets doesn't change back.

In the jump from czech -> swedish the result is that the swedish character
"a-ring" doesn't get displayed properly, it gets replaced by an "i" with an
apostrophe, probably because the czech font is still used.

Comment 4 Christian Rose 2000-08-02 16:38:16 EDT
This bug is still present in Pinstripe.
Comment 5 Glen Foster 2001-01-11 16:13:42 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 6 Matt Wilson 2001-01-18 18:18:28 EST
The problem was switching from non iso-8859-1 fonts back to iso-8859-1 fonts. 
This required some pygtk hacks to bind gtk_rc_init to set things up for the new

Should be fixed in beta3
Comment 7 Brock Organ 2001-02-20 17:05:59 EST
this appears fixed in qa0217.1 ... (please reopen if incorrect as I do not
recognize swedish text natively...)

Note You need to log in before you can comment on or make changes to this bug.